;**************************
;*   Invert Text Module   *
;*    Version 2.0 Beta    *
;*   Coded By Adam Koch   *
;*    FadeToAJ@aol.com    *
;**************************
    
    .nolist                ;\
    #include    "ion.inc"  ; \  
    .list                  ;  \
                           ;   \
#ifdef TI83P               ;    \
        .org    sram-2     ;     | The Standard
        .db     $BB,$6D    ;     |   Ion 1.4+
#else                      ;     |  Module Header.
        .org    sram       ;     |
#endif                     ;     |
        ret                ;    /
        .db     2          ;   /
        cp   $34           ;  /
        jr    z, Enable    ; /
        cp   $33           
        jr    z, Disable
        jp   Exit          ;/       
Enable:                   ;turns on the inverse
    set 3,(iy+$05)        ;set the system flag
    call InvertOn         ;display the inverse text
    jp exit               ;jump to the exit label.
  
Disable:                  ;turns off the inverse
    res 3,(iy+$05)        ;set the system flag
    call InvertOff        ;display the inverse text
    jp exit               ;jump to the exit label.
    
InvertOn:                 ;display the text
    bcall(_clrlcdf)       ;clear the home/graph screen
    bcall(_homeup)        ;put the cursor at 0,0
    ld hl,InvertOnStr      ;load the text into hl
    bcall(_puts)          ;show the text
    bcall(_getkey)        ;wait for a key to be pressed
    jp exit               ;jump to the exit label
    
InvertOff:                 ;display the text
    bcall(_clrlcdf)       ;clear the home/graph screen
    bcall(_homeup)        ;put the cursor at 0,0
    ld hl,InvertOffStr     ;load the text into hl
    bcall(_puts)          ;show the text
    bcall(_getkey)        ;wait for a key to be pressed
    jp exit               ;jump to the exit label
    
InvertOnStr:              ;invert text
    .db "Invert Text On! ",
    .db "Version 1.0 Beta",
    .db "By: Adam Koch   ",
    .db "FadeToAJ@aol.com",0
    
InvertOffStr:             ;invert text 
    .db "Invert Text Off!",
    .db "Version 1.0 Beta",
    .db "By: Adam Koch   ",
    .db "FadeToAJ@aol.com",0
    
Exit:                     ;exit label
    ei                    
    ret                   ;return to ion
.end
end





